:root {
    --global-font: Helvetica;
    --global-font-size: 20px;
    --global-font-color: darkslategrey;
 
    --global-theme-color-font: white;
    --global-theme-color-background: navy;
    --global-theme-color-background-sub: darkmagenta;
    
    --global-form-color-font: navy;
    --global-form-color-background: white;
    
    --global-button-color: navy;
    --global-button-color-hover: #0047AB;
    --global-button-text: white;
    --global-button-height: 35px;
    --global-button-width: 140px;
    
    --global-input-height: 30px;
    
    --global-caption-size: 13px;
    --global-caption-color: gray;
    
    --global-border-radius: 3px 3px 3px 3px;
    
    --global-border: 1px solid lightgray;
    --global-shadow: 5px 5px 5px lightgray;
}

html {
    height: 100%;
}

body {
    background-color: transparent;
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
    overflow-y: hidden;
}



.header {
    position: fixed;
    top: 0px;
    padding: 10px 0 0 0;  
    background-image: linear-gradient(170deg, var(--global-theme-color-background-sub), var(--global-theme-color-background));
    width: 100%;
    height: 30px;
    /*text-align: center;*/
    
}

.header-title {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--global-theme-color-font);
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    font-weight: bold; 
}

.header-user {
    display: block;
    float: left;
    text-align: left;
    padding-left: 35px;
    color: var(--global-theme-color-font);
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    margin-top: -5px;
    font-weight: bold;
    min-width: 60px;
    height: 34px;
    line-height: 34px;
    background-image: url('../image/user.png');
    background-size: 34px 34px;
    background-position: top left;
    background-repeat: no-repeat;
}
.colheader {
    font-family: var(--global-font);
    font-size: var(--global-caption-size);
    color: var(--global-form-color-font);
    font-weight: bold;
    padding: 5px 0px 0px 10px;
    border-bottom: 3px double rgba(0, 0, 0, 0.2);
}

.colcontent {
    /*background-color: #d8d8d8;
    border: 0px;*/
    color: black;
    padding: 5px 5px 0px 10px;
    border-right: 1px solid rgba(0, 0, 0, 0.2);
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    border-top: 0px solid transparent;
    border-left: 0px solid transparent;
}

.footer {
    position: fixed;
    padding: 10px 0 0 0;
    bottom: 0px;
    font-weight: bold;
    color: white;
    background-image: linear-gradient(10deg, var(--global-theme-color-background), var(--global-theme-color-background-sub));
    width: calc(100%);
    height: 45px;
    text-align: center;
    font-family: var(--global-font);
}

.footer .button {
    background: var(--global-button-text);
    color: var(--global-button-color);
}

.footer .button:hover {
    background: var(--global-button-color-hover);
    color: var(--global-button-text);
}

.form-edit {
     /*display: inline-grid;*/
    display: none;
    position: absolute;   
    grid-template-rows: 20px 30px auto 50px;
    grid-template-columns: 300px;
    row-gap: 10px;
    padding: 15px 5px 10px 15px;
    top: 8%;
    left: calc(50% - 200px);
    width: 300px;
    border: var(--global-border);
    border-radius: var(--global-border-radius);
    box-shadow: var(--global-shadow);
    background-color: var(--global-form-color-background);
}

.form-title {
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    font-weight: bold;
    color: var(--global-form-color-font);
}

.form-header-grid {
    width: 100%;
    height: 100%;
    display: inline-grid;
    grid-template-columns: 60px 180px;
    grid-auto-rows: 25px;
    row-gap: 5px;
    margin-top: 10px;
}

.form-button {
    margin: 10px 10px 0px 0px;
}

.form-grid {
    margin-top: 5px;
    display: inline-grid;
    grid-template-columns: 300px;
    grid-auto-rows: 60px;
    column-gap: 5px;
    row-gap: 5px;
}

.form-radio-grid {
    display: grid;
    grid-template-columns: 50% 50%;
    margin-top: 5px;
}


.form-check-grid {
    display: grid;
    grid-template-columns: 26px auto;
    row-gap: 5px;
    column-gap: 5px;
    margin-top: 5px;
}

.form-radio-grid label,
.form-check-grid label {
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    color: var(--global-font-color);
}

.scrollable {
    height: 100%;
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
}


.label {
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    color: var(--global-font-color);
}

.label-caption {
    font-family: var(--global-font);
    font-size: var(--global-font-size); 
    color: var(--global-caption-color);
}

.input-caption {
    font-family: var(--global-font);
    font-size: var(--global-caption-size);
    color: var(--global-caption-color);
}

.textbox {
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    height: var(--global-input-height);
    padding-left: 5px;
    width: calc(100% - 20px);
    color: var(--global-font-color);
}

.textbox[readonly] {
    pointer-events: none;
}

.datepicker {
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    height: var(--global-input-height);
    padding-left: 5px;
    width: calc(100% - 20px);
    color: var(--global-font-color);
}

.button {
    border: 0px;
    border-radius: var(--global-border-radius);
    background: var(--global-button-color);
    color: var(--global-button-text);
    font-weight: bold;
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    height: var(--global-button-height);
    width: var(--global-button-width);
    cursor: pointer;
}

.button:hover {
    background: var(--global-button-color-hover);
}

.button:disabled {
    background: gray;
    cursor: default;
}


.float-r {
    float: right;
}

.float-l {
    float: left;
}

.inline-b {
    display: inline-block;
}

.none {
    display: none;
}

.editbtn {
    background: url("../image/edit.png") no-repeat scroll 0 0 transparent;
    width: 20px;
    height: 20px;
    float: right;
    position: absolute;
}

.button-icon {
    border: none;
    background-color: transparent;
    background-size: contain;
    width: 34px;
    height: 34px;
    cursor: pointer;
}


.icon-delete {
    background-image: url("../image/delete.png");
    background-position: top;
    background-repeat: no-repeat;
}


.icon-new {
    background-image: url("../image/add.png");
    background-position: top;
    background-repeat: no-repeat;
}

.icon-download {
    background-image: url("../image/download.png");
    background-position: top;
    background-repeat: no-repeat;
}

.icon-minus {
    background-image: url("../image/minus.png");
    background-position: top;
    background-repeat: no-repeat;
}


#divnav {
    display: none;
    position: absolute; 
    right: 2px;
    top: 35px;
    z-index: 8;
    width: 200px;
    height: auto;
    padding: 5px;
    box-shadow: var(--global-shadow);
    border-radius: var(--global-border-radius);
    background-color: var(--global-theme-color-background);
    
}

#divButtonMenus {
    float: right;
}

#divButtonMenus button:hover {
    background-color: var(--global-button-color-hover);
}

#buttonShowNav {
    background: url("../image/navbar.png") no-repeat scroll 0 0 transparent;
    background-position: center top;
    background-size: 90%;
    padding: 2px;
    width: 30px;
    height: 30px;
    border: 0px;
    float: right;
    margin: -5px 5px 0px 0px;
}


#buttonShowNav:hover {
    background-color: var(--global-button-color-hover);
}


#buttonShowNav:hover #divnav{
    display:block;
}

#divnav:hover {
    display: block;
}

.navbutton {
    background: transparent;
    width: 200px;
    height: 35px;
    display: block;
    border: 0px;
    color: var(--global-theme-color-font);
    font-family: var(--global-font);
    font-size: var(--global-font-size);
    font-weight: bold;
    cursor: pointer;
}

.navbutton:hover{
    background: var(--global-button-color-hover);
}

#btn_filter {
    background: url("../image/filter.png") no-repeat scroll 0 0 transparent;
    background-size: 90%;
    background-position: center top;
    width: 30px;
    height: 30px;
    border: 0px;
    float: right;
    padding: 2px;
    margin: -5px 5px 0px 0px;
    cursor: pointer;
}

#divfilter {
    /* display: inline-grid; */
    display: none;
    background-color: var(--global-form-color-background);
    position: absolute;
    z-index: 1;
    
    grid-template-rows: 30px auto 70px;
    grid-template-columns: 300px;
    row-gap: 10px;
    padding: 15px 5px 15px 15px;
    top: 45px;
    right: 45px;
    width: 300px;
    border: var(--global-border);
    border-radius: var(--global-border-radius);
    box-shadow: var(--global-shadow);
	
}

#divpass {
   /* display: inline-grid; */
    display: none;
    background-color: var(--global-form-color-background);
    position: absolute;
    z-index: 1;
    
    grid-template-rows: 30px auto 45px;
    grid-template-columns: 300px;
    row-gap: 10px;
    padding: 15px 5px 15px 15px;
    top: 45px;
    right: 45px;
    width: 300px;
    min-height: 250px;
    border: var(--global-border);
    border-radius: var(--global-border-radius);
    box-shadow: var(--global-shadow);
}

#divmanage {
    /*position: absolute;*/
    margin-top: 40px;
    padding: 10px;
    width: calc(100% - 20px);
    height: calc(100% - 120px);
}

#divmanage_grid input[type="text"] {
    cursor: default;
}

.pagebutton {
    display: none;
    border-radius: 2px;
    width: 35px;
    height: 35px;
    padding-left: 30px;
    padding-right: 30px;
    cursor: pointer;
}

.pagebutton:hover {
    background-color: var(--global-button-color-hover);
}

#btn_next {
    content: url("../image/ic-next@3x.png");
}

#btn_prev {
    content: url("../image/ic-next@3x.png");
    transform: scaleX(-1);
}

#btn_last {
    content: url("../image/ic-last@3x.png");
}

#btn_first {
    content: url("../image/ic-last@3x.png");
    transform: scaleX(-1);
}

#messageBoxDim {
    display: none;
    position: absolute;
    z-index: 9;
    top: 0;
    left: 0;  
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0, 0.1);
}

#messageBox {
    /*display: inline-grid;*/
    display: none;
    position: absolute;
    z-index: 9;
    grid-template-rows: 20px auto 50px;
    grid-template-columns: auto;
    row-gap: 10px;
    padding: 15px 5px 10px 15px;
    left: 50%;
    top: 30%;
    transform: translate(-50%, -30%);
    min-width: 300px;
    max-width: 480px;
    min-height: 200px;
    max-height: 600px;
    border: var(--global-border);
    border-radius: var(--global-border-radius);
    box-shadow: var(--global-shadow);
    background-color: var(--global-form-color-background);
}

#messageBoxIcon {
    background-repeat: no-repeat;
    float: left;
    width: 30px;
    height: 30px;
    
}

#messageBoxTitle {
    margin-left: 20px;
}

#messageBoxContent {
    margin: 20px;
    font-family: var(--global-font);
    color: var(--global-font-color);
    white-space: wrap;
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
    scrollbar-width: none;  /* Firefox, Safari 18.2+, Chromium 121+ */
}

#messageBoxContent::-webkit-scrollbar { 
    display: none;  /* Older Safari and Chromium */
}

#messageBoxClose {
    background-image: url("../image/close.png");
    background-position: top;
    background-repeat: no-repeat;
    float: right;
    margin-top: -10px;
}

#messageBoxOk, #messageBoxCancel, #messageBoxYes, #messageBoxNo {
    display: none;
}

#loadingBox {
    display: none;
    position: absolute;
    z-index: 10;
    top: 0;
    left: 0;  
    width: 100%;
    height: 100%;
    background-image: url("../image/LoadingState.gif");
    background-size: 200px 200px;
    background-repeat: no-repeat;
    background-position: center center;
    background-color: rgba(0,0,0, 0.1);
}